
MACRO(SET_PROJECT_VERSION MAJOR MINOR REV)
    SET(${PROJECT_NAME}_MAJOR_VERSION ${MAJOR})
    SET(${PROJECT_NAME}_MINOR_VERSION ${MINOR})
    SET(${PROJECT_NAME}_PATCH_VERSION ${REV})
    SET(${PROJECT_NAME}_VERSION
        ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION}.${${PROJECT_NAME}_PATCH_VERSION})
ENDMACRO()

